Update Script
curl --request PUT \
--url https://api.eqho.ai/v1/scripts/{script_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"name": "Debt Relief Script",
"lines": [
{
"message": "Hi {{lead.first_name}}, this is {{agent.name}}",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "Just giving you a quick call back with the free debt relief quote you requested!",
"speaker": "AGENT"
}
]
}
'import requests
url = "https://api.eqho.ai/v1/scripts/{script_id}"
payload = {
"name": "Debt Relief Script",
"lines": [
{
"message": "Hi {{lead.first_name}}, this is {{agent.name}}",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "Just giving you a quick call back with the free debt relief quote you requested!",
"speaker": "AGENT"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Debt Relief Script',
lines: [
{message: 'Hi {{lead.first_name}}, this is {{agent.name}}', speaker: 'AGENT'},
{message: '*Wait for user response*', speaker: 'USER'},
{
message: 'Just giving you a quick call back with the free debt relief quote you requested!',
speaker: 'AGENT'
}
]
})
};
fetch('https://api.eqho.ai/v1/scripts/{script_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/scripts/{script_id}"
payload := strings.NewReader("{\n \"name\": \"Debt Relief Script\",\n \"lines\": [\n {\n \"message\": \"Hi {{lead.first_name}}, this is {{agent.name}}\",\n \"speaker\": \"AGENT\"\n },\n {\n \"message\": \"*Wait for user response*\",\n \"speaker\": \"USER\"\n },\n {\n \"message\": \"Just giving you a quick call back with the free debt relief quote you requested!\",\n \"speaker\": \"AGENT\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Scripts
Update Script
PUT
/
v1
/
scripts
/
{script_id}
Update Script
curl --request PUT \
--url https://api.eqho.ai/v1/scripts/{script_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"name": "Debt Relief Script",
"lines": [
{
"message": "Hi {{lead.first_name}}, this is {{agent.name}}",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "Just giving you a quick call back with the free debt relief quote you requested!",
"speaker": "AGENT"
}
]
}
'import requests
url = "https://api.eqho.ai/v1/scripts/{script_id}"
payload = {
"name": "Debt Relief Script",
"lines": [
{
"message": "Hi {{lead.first_name}}, this is {{agent.name}}",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "Just giving you a quick call back with the free debt relief quote you requested!",
"speaker": "AGENT"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Debt Relief Script',
lines: [
{message: 'Hi {{lead.first_name}}, this is {{agent.name}}', speaker: 'AGENT'},
{message: '*Wait for user response*', speaker: 'USER'},
{
message: 'Just giving you a quick call back with the free debt relief quote you requested!',
speaker: 'AGENT'
}
]
})
};
fetch('https://api.eqho.ai/v1/scripts/{script_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/scripts/{script_id}"
payload := strings.NewReader("{\n \"name\": \"Debt Relief Script\",\n \"lines\": [\n {\n \"message\": \"Hi {{lead.first_name}}, this is {{agent.name}}\",\n \"speaker\": \"AGENT\"\n },\n {\n \"message\": \"*Wait for user response*\",\n \"speaker\": \"USER\"\n },\n {\n \"message\": \"Just giving you a quick call back with the free debt relief quote you requested!\",\n \"speaker\": \"AGENT\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Body
application/json
Example:
"Debt Relief Script"
Show child attributes
Show child attributes
Example:
[
{
"message": "Hi {{lead.first_name}}, this is {{agent.name}}",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "Just giving you a quick call back with the free debt relief quote you requested!",
"speaker": "AGENT"
}
]
Was this page helpful?